<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\OnlineKontoBeantragen\OnlineKontoBeantragenFormular;

class OnlineKontoBeantragenFormularFaPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new OnlineKontoBeantragenFormularFaView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new OnlineKontoBeantragenFormularFaViewModel();
    $viewModel->captcha_link_erweiterung = time();
    $viewModel->https = $this->useCaseResponse->https;

    return $viewModel;
  }
}